org.apache.http.auth

## Class KerberosCredentials

- java.lang.Object
- - org.apache.http.auth.KerberosCredentials

- All Implemented Interfaces:
    Serializable, Credentials

      @Contract(threading=IMMUTABLE)
      public class KerberosCredentials
      extends Object
      implements Credentials, Serializable

  `Credentials` implementation based on GSSCredential for Kerberos Authentication.
  Since:
    4.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosCredentials(GSSCredential gssCredential)` Constructor with GSSCredential argument

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GSSCredential` | `getGSSCredential()`
    `String` | `getPassword()`
    `Principal` | `getUserPrincipal()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosCredentials

          public KerberosCredentials(GSSCredential gssCredential)

      Constructor with GSSCredential argument
      Parameters:
        `gssCredential` -

  - ### Method Detail

    - #### getGSSCredential

          public GSSCredential getGSSCredential()

    - #### getUserPrincipal

          public Principal getUserPrincipal()

      Specified by:
        `getUserPrincipal` in interface `Credentials`

    - #### getPassword

          public String getPassword()

      Specified by:
        `getPassword` in interface `Credentials`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.